Upgrade to Lucene 3.6.x

Description

Upgrade Bobo to Lucene 3.6.x

Environment

None

Activity

Show:
Marc Schipperheyn
August 28, 2012, 4:52 PM
Jörg von Frantzius
October 1, 2012, 1:07 PM

The method org.apache.lucene.index.IndexReader.document(int) has been made final in Lucene 3.6, and it is currently being overrridden in com.browseengine.bobo.api.BoboIndexReader.document(int).

So Bobo-Browse won't compile with Lucene 3.6., and consequently also isn't binary compatible with Lucene 3.6.

I hope this change of Lucene public API won't cause serious problems...

Marc Schipperheyn
November 6, 2012, 6:38 PM

I'm more concerned with the extended lack of attention this project is getting.

John Wang
November 6, 2012, 9:41 PM

Hi Marc:

My apologies.

I have been squeezing time to do the 4.0 upgrade instead, but the changes are not trivial.

I think it makes sense to just do a 3.6.0 upgrade?

-John

John Wang
November 7, 2012, 1:16 AM

this is committed to top level master: https://github.com/senseidb/bobo

commit id: https://github.com/senseidb/bobo/commit/e78d91ef8a00965d8d55c819f967cac172c23d17

We are still debating whether to do a release.

Closing this for now.

Assignee

John Wang

Reporter

Marc Schipperheyn

Labels

None

Components

Priority

Minor
Configure